#ifndef _SPRING_H_
#define _SPRING_H_

#include "vec.h"
#include <vector>

class Spring{
public:
	double stiffness;  // spring stiffness
	double initLength;  // equilibrium length
	double damping;  // damping factor
	
	int obj1;  ///< index of the first object
	int obj2;  ///< index of the second object
	
	// Constructor with the object indices, striffness, equilibrium length and damping factor :
	Spring( int o1, int o2, double s, double l, double d );
	
	// Apply force on involved particles depending on the current positions and velocities :
	void addForce( std::vector<Vec>& forces, const std::vector<Vec>& positions, const std::vector<Vec>& velocities );	
};

#endif // _SPRING_H_
